SFML 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
sf::Glyph Class Reference
Graphics module

Structure describing a glyph. More...

`#include <Glyph.hpp>`

## Public Member Functions
| Glyph ()
| Default constructor. More...

## Public Attributes
float | advance
| Offset to move horizontally to the next character. More...
FloatRect | bounds
| Bounding rectangle of the glyph, in coordinates relative to the baseline. More...
IntRect | textureRect
| Texture coordinates of the glyph inside the font's texture. More...

## Detailed Description

Structure describing a glyph.

A glyph is the visual representation of a character.

The sf::Glyph structure provides the information needed to handle the glyph:

- its coordinates in the font's texture
- its bounding rectangle
- the offset to apply to get the starting position of the next glyph

See also
  sf::Font

Definition at line 41 of file Glyph.hpp.

## Constructor & Destructor Documentation

sf::Glyph::Glyph | ( |  | ) |
| inline

Default constructor.

Definition at line 49 of file Glyph.hpp.

## Member Data Documentation

float sf::Glyph::advance

Offset to move horizontally to the next character.

Definition at line 54 of file Glyph.hpp.

FloatRect sf::Glyph::bounds

Bounding rectangle of the glyph, in coordinates relative to the baseline.

Definition at line 55 of file Glyph.hpp.

IntRect sf::Glyph::textureRect

Texture coordinates of the glyph inside the font's texture.

Definition at line 56 of file Glyph.hpp.

The documentation for this class was generated from the following file:

- Glyph.hpp